Bug 154890 - [UPDATE] devel/py-game to 1.9.1
Summary: [UPDATE] devel/py-game to 1.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus von Appen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-19 15:30 UTC by Olivier Duchateau
Modified: 2012-06-17 10:40 UTC (History)
0 users

See Also:


Attachments
file.diff (20.00 KB, patch)
2011-02-19 15:30 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2011-02-19 15:30:15 UTC
I deleted support of optional modules:
- Video 4 Linux (v4l)
- OpenCV
- PortMidi (from PortMedia, to play MIDI files) not in ports tree

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-02-19 15:30:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mva

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Marcus von Appen freebsd_committer freebsd_triage 2011-03-06 21:17:42 UTC
Hi Olivier,

thanks for that one. Did you test it with all ports using py-game?

Regards
Marcus
Comment 3 Olivier Duchateau 2011-03-07 19:37:02 UTC
2011/3/6 Marcus von Appen <mva@freebsd.org>:
> Hi Olivier,
>
> thanks for that one. Did you test it with all ports using py-game?

I updated py-game, because I needed in turpial [1] (Identi.ca and
Twitter client). I tested only  development version.
pygame module plays sound during notification events (it works fine,
it's an ogg media file).

Turpial don't work (except login window), problem of threads and
ther'es mix between UTF-8 and ASCII, so for the moment it's in
standby.

[1] http://code.google.com/p/turpial/

>
> Regards
> Marcus
>



-- 
olivier
Comment 4 dfilter service freebsd_committer 2012-06-17 10:39:14 UTC
mva         2012-06-17 09:39:01 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-game        Makefile distinfo pkg-plist 
  Added files:
    devel/py-game/files  patch-setup.py 
  Log:
  - Update to 1.9.1
  
  PR:             ports/154890
  Submitted by:   Olivier Duchateau <duchateau.olivier@gmail.com>
  
  Revision  Changes    Path
  1.49      +9 -7      ports/devel/py-game/Makefile
  1.20      +2 -2      ports/devel/py-game/distinfo
  1.1       +154 -0    ports/devel/py-game/files/patch-setup.py (new)
  1.20      +48 -1     ports/devel/py-game/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Marcus von Appen freebsd_committer freebsd_triage 2012-06-17 10:39:32 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!